Subject: bug#57563: 28.1; macOS - layout warning at startup

From: Gerd Möllmann <[email-masked]>
Date: Wed, 07 Sep 2022 07:04:42 +0200

Po Lu <[email-masked]> writes:

> Bob Kline <[email-masked]> writes:
>
>> I'm happy to provide whatever information is needed, but I'll need
>> more detailed instructions. I haven't done any Mac software
>> development since the previous century, well before OS X.
>
> I'm not sure I know how to do that with lldb, unfortunately.  Perhaps
> someone else can chime in at this point.

I think Bob is using x86_64, which GDB supports.  Anyway, it's not much
different for LLDB:

As usual, the more debug info your Emacs executable contains, the
better.  Then, from where you built Emacs

cd src
lldb ./emacs
(lldb) b _NSDetectedLayoutRecursion
(lldb) run

and when LLDB stops at the breakpoint, print the backtrace with

(lldb) bt